ReferenceAPI
Maintenance
Scheduled maintenance windows.
curl -X GET "https://example.com/v1/maintenances"{ "maintenances": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "body": "string", "status": "scheduled", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "cancelledAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ] } ]}POST
/v1/maintenancesRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/maintenances" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "body": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "body": "string", "status": "scheduled", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "cancelledAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ]}curl -X GET "https://example.com/v1/maintenances/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "body": "string", "status": "scheduled", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "cancelledAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ]}PUT
/v1/maintenances/{id}Send every field. The window's run is replaced to match the new times.
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/maintenances/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "body": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "body": "string", "status": "scheduled", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "cancelledAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ]}curl -X POST "https://example.com/v1/maintenances/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "body": "string", "status": "scheduled", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "cancelledAt": "2019-08-24T14:15:22Z", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ]}